tigase.db

## Class UserExistsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - tigase.component.exceptions.RepositoryException
      - - tigase.db.TigaseDBException
        - - tigase.db.UserExistsException

- All Implemented Interfaces:
    Serializable

      public class UserExistsException
      extends TigaseDBException

  The `UserExistsException` is thrown when application tries to add new user with user ID which already exists in repository. According to `UserRepository` specification there can be the only one registered user with particular ID.

  Created: Wed Oct 27 14:17:44 2004

  Version:
    $Rev$
  Author:
    Artur Hefczyc
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserExistsException(BareJID user, String message, Throwable cause)`
    `UserExistsException(String message)`
    `UserExistsException(String message, Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BareJID` | `getUserId()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UserExistsException

          public UserExistsException(String message)

    - #### UserExistsException

          public UserExistsException(BareJID user,
                                     String message,
                                     Throwable cause)

    - #### UserExistsException

          public UserExistsException(String message,
                                     Throwable cause)

  - ### Method Detail

    - #### getUserId

          public BareJID getUserId()

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.